View Issue Details

IDProjectCategoryView StatusLast Update
0001846Far ManagerInterfacepublic2011-12-23 15:01
ReporterMaximusAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001846: Некорректная реакция на клик мышки в F1
DescriptionКлик мышки открывает не ту тему (ссылку), по которой щелкнули, а первую (активную до клика) ссылку помощи.
Steps To ReproduceВ панелях нажать F1
Навести курсор мыши на какой-нибудь пункт, например на "Пометка файлов"
Esc

Не двигая мышь нажать F1 и MsLClick
Ошибочно открывается не то, по чему щелкнули, а первый пункт помощи.
TagsNo tags attached.
Build2178

Activities

vskirdin

2011-08-18 13:46

administrator   bugnote:0007489

Проверь:
в самом конце Help::ProcessMouse вместо
if(MsX != IntKeyState.PrevMouseX || MsY != IntKeyState.PrevMouseY)
написать
if(StackData.CurX != MsX-X1-1 || StackData.CurY!=MsY-Y1-1-FixSize)

vskirdin

2011-08-28 15:30

administrator   bugnote:0007561

build 2178

Issue History

Date Modified Username Field Change
2011-08-08 22:40 Maximus New Issue
2011-08-18 13:46 vskirdin Note Added: 0007489
2011-08-28 15:30 vskirdin Note Added: 0007561
2011-08-28 15:30 vskirdin Assigned To => vskirdin
2011-08-28 15:30 vskirdin Status new => feedback
2011-12-23 15:01 alexy Build => 2178
2011-12-23 15:01 alexy Status feedback => closed
2011-12-23 15:01 alexy Resolution open => fixed
2011-12-23 15:01 alexy Fixed in Version => 3.0